php 다운로드

OpenSSL 보안 권고 [07 Apr 2014]는 cve-2014-0160를 수정 하는 OpenSSL 1.0.1 g의 가용성을 발표 했다. 이런 맥락에서 최신 PHP 릴리즈 5.5.11는 OpenSSL 1.0.1 g로 재건 되었다. 모든 php 사용자는 강력 하 게 php 5.5.11에 격상 시키는 격려 된다. 당신은 이미이 버전을 다운로드 한 경우 10-Apr-2014, 제발 redownload. 기존 개인 키는 가능한 빨리 다시 생성 되어야 합니다. 또는 업데이트 된 OpenSSL 종속성 dll을 이전 PHP 버전에 대 한 대체 항목으로 별도로 다운로드할 수 있습니다. 비록이 문제에만 OpenSSL 및 DLL 패키지는 PHP 5.5 및 어퍼에만 적용 됩니다 영향을 알고 있어야 합니다. PHP는 윈도우 개발 팀이 새로운 웹사이트를 발표 하 고 싶습니다. 여기서는 다운로드, 스냅샷 및 설명서와 같이 Windows와 관련 된 정보를 구체적으로 찾을 수 있습니다.

다운로드만 지금 사용할 수 있습니다. 또는 업데이트 된 OpenSSL 종속성 dll을 별도로 이전 PHP 및 Apache 버전에 대 한 대체 다운로드할 수 있습니다. PHP 5.3.6 변경 사항의 전체 목록은 ChangeLog를 참조 하십시오. 소스 및 바이너리 다운로드에 대 한 우리의 다운로드 페이지를 방문 하시기 바랍니다. Windows 용 pecl 확장이 작업 중입니다. Windows DLL은 pecl 웹 사이트에서 바로 다운로드할 수 있습니다. pecl 확장 릴리스 및 스냅샷 빌드 디렉토리를 찾아볼 직접 …. 컬 관련 기능은 open_basedir 또는 safe_mode 활성화 될 때 비활성화 된다는 점에 유의 하십시오. 당신이 apache.org (권장 하지 않음)에서 아파치 빌드와 모듈로 php를 사용 하는 경우 레거시 비주얼 스튜디오 6 컴파일러로 컴파일된 php의 이전 VC6 버전을 사용 해야 합니다. apache.org 바이너리와 함께 VC11 + 버전의 PHP를 사용 하지 마십시오. 이 사이트는 마이크로 소프트 윈도우에서 PHP를 지원 하기 위해 최선을 다하고 있습니다. 또한 다양 한 Windows 아키텍처에 대 한 특수 빌드를 제공 하는 것 뿐만 아니라 PHP 확장 또는 기능의 포트도 지원 합니다.

-VC11 빌드 visual Studio 2012 x86 또는 x64 설치에 대 한 재배포 가능 해야 합니다. libcurl 라이브러리 7.20.0, 어떤 수정 중요 한 버그 수정 뿐만 아니라 보안 결함으로 업데이 트 되었습니다 여기와 전체 changelog 여기에 권고를 참조 하십시오. TS는 다중 스레드 가능 빌드를 나타냅니다. nts는 단일 스레드만 빌드를 나타냅니다. TS 바이너리의 사용 사례에는 웹 서버에 모듈로 로드 된 다중 스레드 SAPI 및 PHP와의 상호 작용이 포함 됩니다. 국세청 바이너리 광범위 한 사용 사례는 다중 스레딩 (뿐만 아니라 예를 들어 CLI)을 활용 하 여 FastCGI 프로토콜을 통해 웹 서버와 상호 작용 합니다. 만약 당신이 PHP를 새로운 위치와 그것을 작동 하는 방법을 몇 가지 아이디어를 얻으려면, 입문서 입문 보십시오. PHP 7.1 + 긴 UTF-8 경로를 지원 합니다.

자세한 내용은 설명서를 참조 하십시오. 이 릴리스에서는 포함 된 OpenSSL 라이브러리 (cve-2009-0590, cve-2009-0591 및 cve-2009-0789)의 보안 취약성 해결에 중점을 둡니다. 여기에서 보안 권고를 사용할 수 있습니다. apache sapis (php5_apache2_2), Visual Studio c + + 9 버전의 apache 사용 해야 합니다. 우리는 apachelounge에서 제공 하는 아파치 빌드를 권장 합니다. 다른 SAPI (CLI를 통해 mod_fcgi, fastcgi IIS 또는 다른 fastcgi 가능한 서버와 fastcgi), 모든 이전 처럼 작동 합니다.